<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# IMAGECARD                                                        #
# Átméretezett képfájl előállítása a fotókból képeslaphoz          #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/

  include("../config/config_program.php");   // Program konfiguráció
  include("../config/config_adatbazis.php"); // Adatbázis konfiguráció
  include("_sql.php");            // SQL kezelő függvények 

// A legszélesebb/legmagasabb kép méret
  $_max = 300;

// Kapcsolódás az adatbázishoz
  adatbazis();
  $lekerdezes_fotok = lekerdezes("SELECT * FROM fotok WHERE foto_azon = ".$_REQUEST['id']);
  $rekord_fotok = olvas_asszociativ($lekerdezes_fotok); 
  $kepfile = $dir['program']."/".$dir['photos']."/".$rekord_fotok[foto_file];

// Kép átméretezése
// Eredeti kép
  $eredeti_kep = imagecreatefromjpeg($kepfile);
  $kepinfo = GetImageSize($kepfile);
  $kep_x = $kepinfo[0];
  $kep_y = $kepinfo[1];
// Képarány meghatározása
  $arany = $kep_x>$kep_y ? $_max/$kep_x : $_max/$kep_y;

// Új kép
  $uj_x = round($arany*$kep_x);
  $uj_y = round($arany*$kep_y);
  $uj_kep = imagecreatetruecolor($uj_x,$uj_y);

// kép átméretezése az eredetiből az újba
  imagecopyresampled($uj_kep,$eredeti_kep,0,0,0,0,$uj_x,$uj_y,$kep_x,$kep_y); 
  
  header("content-type: image/jpeg");  
  imagejpeg($uj_kep); 
  imagedestroy($eredeti_kep); 
  imagedestroy($uj_kep);
?>
